---
title: Delete Databases
url: https://docs.vultr.com/products/storage/databases/valkey/management/delete-databases
description: Learn how to permanently delete a Vultr Managed Database for Valkey instance and its data.
publish_date: 2024-09-23T20:21:48.126173Z
last_updated: 2026-05-26T19:44:06.200367Z
---

# How to Delete Vultr Managed Database for Valkey

Deleting Vultr Managed Database for Valkey removes the instance from your account and stops further charges. Only perform this operation after backing up the database because the operation deletes all keys associated with the managed databases.

Follow this guide to delete Vultr Managed Database for Valkey using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Click the target database instance.
    1. Click **Settings** and select **Delete Managed Database**. 
    1. Click **Destroy Database Instance** to remove the database.

=== "Vultr API"

    1. List all the database instances by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the database ID. For example, `43b4c774-5dff-4ac0-a01f-78a23c2205b5`.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/delete-database) and specify the database ID to delete the database.

        ```console
        $ curl "https://api.vultr.com/v2/databases/database_id" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Visit the [**Delete Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/delete-database) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all database instances and note the database ID. For instance, `d6ac2a3c-92ea-43ef-8185-71a23e58ad8c`.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Delete the database by specifying a database ID.

        ```console
        $ vultr-cli database delete database_id    
        ```

        Run `vultr-cli database delete --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration and locate the Managed Database for Valkey resource.

    1. Remove the resource block or destroy it with Terraform.

        ```terraform
        resource "vultr_database" "valkey" {
            label                   = "valkey-db-1"
            database_engine         = "valkey"
            database_engine_version = "7"
            region                  = "jnb"
            plan                    = "vultr-dbaas-startup-occ-mo-2-26-16"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_database.valkey
        ```

    1. Apply and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
